lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "satisfaction/version"

Gem::Specification.new do |spec|
  spec.name          = "satisfaction"
  spec.version       = Satisfaction::VERSION
  spec.authors       = ["Micah Adams"]
  spec.email         = ["micah.shawn.adams@gmail.com"]

  spec.summary       = "Track your level of happiness in a project."
  spec.homepage      = "https://github.com/testdouble/satisfaction"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = "https://github.com/testdouble/satisfaction"
    spec.metadata["changelog_uri"] = "https://github.com/testdouble/satisfaction/blob/master/CHANGELOG.md"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path("..", __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "dotenv"
  spec.add_dependency "faraday"
  spec.add_dependency "gemoji"
  spec.add_dependency "json-schema"
  spec.add_dependency "thor"
  spec.add_dependency "sinatra"
  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rspec_junit_formatter"
  spec.add_development_dependency "standard", "~> 0.0.7"
end
